
Foreman - Bug #33872

The new host detail page allows me to build the host even if I have view only permissions

11/08/2021 02:57 PM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Amir Fefer   

Category: JavaScript stack   

Target version: 3.1.0   

Difficulty:  Fixed in Releases: 3.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8906,

https://github.com/theforeman/foreman/p

ull/8933

  

Description

As a user with viewer role, I see active "Build" link, clicking that shows me the modal window. When I confirm, I got "expected" 403

error, however the action should be disabled so I can't even open the modal.

Associated revisions

Revision 44317672 - 11/15/2021 01:27 PM - Amir Fefer

Fixes #33872 - disable build option when no permission

History

#1 - 11/08/2021 03:36 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Amir Fefer

- Pull request https://github.com/theforeman/foreman/pull/8906 added

#2 - 11/09/2021 01:44 PM - Amit Upadhye

- Target version set to 3.1.0

#3 - 11/15/2021 01:27 PM - The Foreman Bot

- Fixed in Releases 3.2.0 added

#4 - 11/15/2021 02:01 PM - Amir Fefer

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|44317672f0459254106fa6ddfd08de6ca2e4f512.

#5 - 11/18/2021 01:38 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8933 added

#6 - 11/24/2021 09:52 AM - The Foreman Bot

- Fixed in Releases 3.1.1 added

#7 - 11/26/2021 04:41 PM - Amit Upadhye

- Fixed in Releases 3.1.0 added

- Fixed in Releases deleted (3.1.1, 3.2.0)

#8 - 11/30/2021 10:02 AM - Amit Upadhye

- Category set to JavaScript stack
